Add signing to Akraino deploy templates
[ci-management.git] / jjb / shell / make-tar.sh
index 43e5693..2e8819a 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 #
 # Copyright (c) 2018 AT&T Intellectual Property. All rights reserved.
 #
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+echo "---> make-tar.sh"
+
 sudo yum install -y dos2unix
 # shellcheck source="$WORKSPACE/version.properties" disable=SC1091
 dos2unix "${WORKSPACE}/version.properties"
 source "$WORKSPACE/version.properties"
 TARDIR=$UPLOAD_FILES_PATH
 
-set -e -u -x -o pipefail
+# STAGING_BUILD (below) may be unset
+set -e +u -x -o pipefail
 rm -fr "$TARDIR"
 
 if [ -n "$STAGING_BUILD" ]
@@ -32,6 +35,9 @@ else
     [[ ! "$VERSION" =~ -SNAPSHOT$ ]] && VERSION="${VERSION}-SNAPSHOT"
 fi
 
+# STAGING_BUILD not used past this point
+set -u
+
 if [ "$PROJECT" == "addon-onap" ]
 then
 
@@ -43,25 +49,29 @@ then
     # Build the regional controller scripts tar ball
     ARTIFACT_NAME="onap-amsterdam-regional-controller-${STREAM}"
     TAR_NAME="${ARTIFACT_NAME}-${VERSION}.tgz"
-    echo "Making tar file ${TARDIR}/${TAR_NAME}"
+    echo "---> Making tar file ${TARDIR}/${TAR_NAME}"
     cd ./src/regional_controller_scripts/
     tar -cvzf "${TARDIR}/${TAR_NAME}" -- *
 
     # Build the ONAP VM scripts tar ball
     ARTIFACT_NAME="onap-amsterdam-VM-${STREAM}"
     TAR_NAME="${ARTIFACT_NAME}-${VERSION}.tgz"
-    echo "Making tar file ${TARDIR}/${TAR_NAME}"
+    echo "---> Making tar file ${TARDIR}/${TAR_NAME}"
     cd ../onap_vm_scripts/
     tar -cvzf "${TARDIR}/${TAR_NAME}" -- *
 
 else
 
     TAR_NAME="${PROJECT}-${VERSION}.tgz"
-    echo "Making tar file ${TARDIR}/${TAR_NAME}"
+    echo "---> Making tar file ${TARDIR}/${TAR_NAME}"
     # Put the file in /tmp initially to prevent it $TARDIR from going into the tar file
     tar -cvzf "/tmp/${TAR_NAME}" -- *
     mkdir "$TARDIR"
     cp "/tmp/${TAR_NAME}" "${TARDIR}/${TAR_NAME}"
 
 fi
+
+echo "-----> Sign all artifacts"
+lftools sign sigul "${TARDIR}"
+
 set +u +x